import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFilterObjectSchema as IntFilterObjectSchema } from './IntFilter.schema';
import { StringFilterObjectSchema as StringFilterObjectSchema } from './StringFilter.schema';
import { StringNullableFilterObjectSchema as StringNullableFilterObjectSchema } from './StringNullableFilter.schema';
import { DateTimeFilterObjectSchema as DateTimeFilterObjectSchema } from './DateTimeFilter.schema';
import { UserScalarRelationFilterObjectSchema as UserScalarRelationFilterObjectSchema } from './UserScalarRelationFilter.schema';
import { UserWhereInputObjectSchema as UserWhereInputObjectSchema } from './UserWhereInput.schema'

const insurancecontactwhereinputSchema = z.object({
  AND: z.union([z.lazy(() => InsuranceContactWhereInputObjectSchema), z.lazy(() => InsuranceContactWhereInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => InsuranceContactWhereInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => InsuranceContactWhereInputObjectSchema), z.lazy(() => InsuranceContactWhereInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  userId: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  name: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  phoneNumber: z.union([z.lazy(() => StringNullableFilterObjectSchema), z.string()]).optional().nullable(),
  createdAt: z.union([z.lazy(() => DateTimeFilterObjectSchema), z.coerce.date()]).optional(),
  user: z.union([z.lazy(() => UserScalarRelationFilterObjectSchema), z.lazy(() => UserWhereInputObjectSchema)]).optional()
}).strict();
export const InsuranceContactWhereInputObjectSchema: z.ZodType<Prisma.InsuranceContactWhereInput> = insurancecontactwhereinputSchema as unknown as z.ZodType<Prisma.InsuranceContactWhereInput>;
export const InsuranceContactWhereInputObjectZodSchema = insurancecontactwhereinputSchema;
